# Queue Struct Reference

## Data Fields
Queue_PushProc * | push
Queue_PopProc * | pop
Queue_DeleteProc * | del
Queue_ClearProc * | clear
Queue_FreeProc * | free
union {
struct {
InsSortNode * first
} inssort
struct {
uint max_size
uint size
uint blocks
| The amount of blocks for which space is reserved in elements.
BinaryHeapNode ** elements
} binaryheap
} | data

## Detailed Description

Definition at line 40 of file queue.h.

The documentation for this struct was generated from the following file:

- src/pathfinder/npf/queue.h